<?xml version="1.0" encoding="UTF-8"?>

<!--
Transitions used for playview furniture.
-->

<transitions duration="600">

	<!-- special restrictive top level layout ones -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="progress_bar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>	
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="progress_bar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>		

	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="extended_buttonbar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>
	</transition-event>	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="extended_buttonbar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>		
		</transition>
	</transition-event>		
	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="viewbar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
	</transition-event>	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="viewbar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>		
		</transition>
	</transition-event>		
	
	<!-- First: "on activation" -->
	<transition-event delay="290">
		<event-filter> 
			<filter attribute="event_type" value="on_activation"/>
			<filter attribute="event_type" value="on_activation_right" operation="or"/>
			<filter attribute="event_type" value="on_activation_left" operation="or"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="bottom" />
				<filter value="extended_buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="top" />
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> <filter value="fade" /> </tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="fade_and_grow" /> 
			</tag-filter>					
			<transition-effect xsi:type="growInEffectType"/>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>	

	<!-- Second: "on creation" -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="bottom" />
				<filter value="buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="top" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="fade" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="fade_and_grow" /> 
			</tag-filter>					
			<transition-effect xsi:type="growInEffectType"/>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>	

	<!-- Third: "on deactivation" -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_deactivation"/>
			<filter attribute="event_type" value="on_deactivation_right" operation="or"/>
			<filter attribute="event_type" value="on_deactivation_left" operation="or"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="bottom" />
				<filter value="extended_buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="top" />
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="fade" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="fade_and_grow" /> 
				<filter value="album_art" />
			</tag-filter>					
			<transition-effect xsi:type="shrinkOutEffectType"/>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>	

	<!-- Fourth: "on removal" -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="bottom" />
				<filter value="buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="bottom" />
				<filter value="buttonbar"/>
			</tag-filter>
			<orientation-filter value="landscape" />													
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="top" />
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="top" />
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="landscape" />													
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="fade" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="fade_and_grow" /> 
				<filter value="album_art" />
			</tag-filter>					
			<transition-effect xsi:type="shrinkOutEffectType"/>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>	

	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="mcf_transition_next_item"/>
		</event-filter>
		<tag-filter>
			<filter value="album_art"/>
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="left"/>
			</transition-effect>
			<transition-effect xsi:type="synchronisationEffectType" delay="400" sync-event="update_data"/>
			<transition-effect xsi:type="flyInEffectType" delay="400" don-not-prepare="true">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>
	</transition-event>
		
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="mcf_transition_previous_item"/>
		</event-filter>
		<tag-filter>
			<filter value="album_art"/>
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="right"/>
			</transition-effect>
			<transition-effect xsi:type="synchronisationEffectType" delay="400" sync-event="update_data"/>
			<transition-effect xsi:type="flyInEffectType" delay="400" don-not-prepare="true">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>
	</transition-event> 
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>
		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>
		<orientation-filter value="portrait" />													
		<transition>
			<transition-effect xsi:type="growInEffectType" align="bottom" delay="0" duration="500" />
		</transition>
	</transition-event>	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>
		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>
		<orientation-filter value="landscape" />													
		<transition>
			<transition-effect xsi:type="growInEffectType" align="right" delay="0" duration="500" />
		</transition>
	</transition-event>	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>
		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>
		<orientation-filter value="portrait" />													
		<transition>
			<transition-effect xsi:type="shrinkOutEffectType" align="bottom" delay="0" duration="500" />
		</transition>
	</transition-event>	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>
		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>
		<orientation-filter value="landscape" />													
		<transition>
			<transition-effect xsi:type="shrinkOutEffectType" align="right" delay="0" duration="500" />
		</transition>
	</transition-event>	
	
</transitions>				
